#pragma once

#include "fs/VFS.h"

namespace TmpFS
{
    VFS::Node* get();

    VFS::Node* finddir(VFS::Node* node, const char* filename);
    VFS::Node* readdir(VFS::Node* node, long offset);

    int mkdir(VFS::Node* node, const char* name, mode_t mode);

    ssize_t read(VFS::Node* node, size_t offset, size_t length, char* buffer);
    ssize_t write(VFS::Node* node, size_t offset, size_t length, char* buffer);
}