#include "Test.h"
#include <wchar.h>

DEFINE_TEST(wcslen)
{
    START_TEST(wcslen);

    const wchar_t* str = L"Hello, World!";

    size_t len = wcslen(str);

    EXPECT_EQ(len, 13);

    wchar_t null[] = {L'\0'};

    len = wcslen(null);

    EXPECT_EQ(len, 0);

    TEST_SUCCESS();
}